/*
This is the basic Cribbage Game layout.
*/

/********************************************************************************
** Form generated from reading ui file 'cribbageinterface.ui'
**
** Created: Fri Sep 4 03:57:07 2009
**      by: Qt User Interface Compiler version 4.5.2
**
** WARNING! All changes made in this file will be lost when recompiling ui file!
********************************************************************************/

#ifndef UI_CRIBBAGEINTERFACE_H
#define UI_CRIBBAGEINTERFACE_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHeaderView>
#include <QtGui/QLCDNumber>
#include <QtGui/QLabel>
#include <QtGui/QWidget>
#include "cribbageboard.h"
#include "kardpile.h"
#include "kardplayer.h"
#include "kardplaysequence.h"
#include "kardsequence.h"

QT_BEGIN_NAMESPACE

class Ui_CribbageInterface
{
public:
    QLabel *textLabelCrib;
    QLCDNumber *countDisplay;
    QLabel *lcdTxt;
    KardPlayer *kardPlayer1;
    KardSequence *player1Cards;
    CribbageBoard *cribbageBoard;
    KardSequence *crib;
    KardSequence *player2Cards;
    KardPile *cardDeck;
    KardPlayer *kardPlayer2;
    KardPlaySequence *playerDiscards;

    void setupUi(QWidget *CribbageInterface)
    {
        if (CribbageInterface->objectName().isEmpty())
            CribbageInterface->setObjectName(QString::fromUtf8("CribbageInterface"));
        CribbageInterface->resize(790, 550);
        textLabelCrib = new QLabel(CribbageInterface);
        textLabelCrib->setObjectName(QString::fromUtf8("textLabelCrib"));
        textLabelCrib->setGeometry(QRect(460, 480, 30, 30));
        countDisplay = new QLCDNumber(CribbageInterface);
        countDisplay->setObjectName(QString::fromUtf8("countDisplay"));
        countDisplay->setGeometry(QRect(100, 300, 50, 30));
        countDisplay->setNumDigits(3);
        lcdTxt = new QLabel(CribbageInterface);
        lcdTxt->setObjectName(QString::fromUtf8("lcdTxt"));
        lcdTxt->setGeometry(QRect(60, 300, 40, 30));
        QFont font;
        font.setFamily(QString::fromUtf8("Helvetica"));
        font.setPointSize(9);
        font.setBold(false);
        font.setItalic(false);
        font.setUnderline(false);
        font.setWeight(50);
        font.setStrikeOut(false);
        lcdTxt->setFont(font);
        lcdTxt->setFrameShape(QFrame::NoFrame);
        kardPlayer1 = new KardPlayer(CribbageInterface);
        kardPlayer1->setObjectName(QString::fromUtf8("kardPlayer1"));
        kardPlayer1->setGeometry(QRect(10, 10, 90, 140));
        player1Cards = new KardSequence(CribbageInterface);
        player1Cards->setObjectName(QString::fromUtf8("player1Cards"));
        player1Cards->setGeometry(QRect(120, 10, 320, 100));
        player1Cards->setAcceptDrops(false);
        cribbageBoard = new CribbageBoard(CribbageInterface);
        cribbageBoard->setObjectName(QString::fromUtf8("cribbageBoard"));
        cribbageBoard->setGeometry(QRect(560, 10, 220, 420));
        crib = new KardSequence(CribbageInterface);
        crib->setObjectName(QString::fromUtf8("crib"));
        crib->setGeometry(QRect(500, 440, 280, 100));
        player2Cards = new KardSequence(CribbageInterface);
        player2Cards->setObjectName(QString::fromUtf8("player2Cards"));
        player2Cards->setGeometry(QRect(120, 400, 320, 100));
        cardDeck = new KardPile(CribbageInterface);
        cardDeck->setObjectName(QString::fromUtf8("cardDeck"));
        cardDeck->setGeometry(QRect(80, 180, 70, 90));
        kardPlayer2 = new KardPlayer(CribbageInterface);
        kardPlayer2->setObjectName(QString::fromUtf8("kardPlayer2"));
        kardPlayer2->setGeometry(QRect(10, 400, 90, 140));
        playerDiscards = new KardPlaySequence(CribbageInterface);
        playerDiscards->setObjectName(QString::fromUtf8("playerDiscards"));
        playerDiscards->setGeometry(QRect(170, 160, 360, 200));

        retranslateUi(CribbageInterface);

        QMetaObject::connectSlotsByName(CribbageInterface);
    } // setupUi

    void retranslateUi(QWidget *CribbageInterface)
    {
        CribbageInterface->setWindowTitle(QApplication::translate("CribbageInterface", "Cribbage", 0, QApplication::UnicodeUTF8));
        textLabelCrib->setText(QApplication::translate("CribbageInterface", "Crib:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        countDisplay->setWhatsThis(QApplication::translate("CribbageInterface", "This display the current count for the round.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        lcdTxt->setText(QApplication::translate("CribbageInterface", "Count:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        kardPlayer1->setWhatsThis(QApplication::translate("CribbageInterface", "This shows the messages from your opponent.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        player1Cards->setWhatsThis(QApplication::translate("CribbageInterface", "This is the hand of your opponent.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        cribbageBoard->setWhatsThis(QApplication::translate("CribbageInterface", "This keeps track of game score, and the number of stakes won", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        crib->setWhatsThis(QApplication::translate("CribbageInterface", "The crib cards.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        player2Cards->setWhatsThis(QApplication::translate("CribbageInterface", "Use this to play a card.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        cardDeck->setWhatsThis(QApplication::translate("CribbageInterface", "This is the card deck, the card shown is the starter card.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        kardPlayer2->setWhatsThis(QApplication::translate("CribbageInterface", "These are the messages that you communicate to your opponent.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        Q_UNUSED(CribbageInterface);
    } // retranslateUi

};

namespace Ui {
    class CribbageInterface: public Ui_CribbageInterface {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_CRIBBAGEINTERFACE_H
